"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateTrail_1 = require("../model/operations/CreateTrail");
var CreateTrailCommand = /** @class */ (function () {
    function CreateTrailCommand(input) {
        this.input = input;
        this.model = CreateTrail_1.CreateTrail;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateTrailCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateTrailCommand;
}());
exports.CreateTrailCommand = CreateTrailCommand;
//# sourceMappingURL=CreateTrailCommand.js.map