"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetTrailStatus_1 = require("../model/operations/GetTrailStatus");
var GetTrailStatusCommand = /** @class */ (function () {
    function GetTrailStatusCommand(input) {
        this.input = input;
        this.model = GetTrailStatus_1.GetTrailStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetTrailStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetTrailStatusCommand;
}());
exports.GetTrailStatusCommand = GetTrailStatusCommand;
//# sourceMappingURL=GetTrailStatusCommand.js.map