"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var LookupEvents_1 = require("../model/operations/LookupEvents");
var LookupEventsCommand = /** @class */ (function () {
    function LookupEventsCommand(input) {
        this.input = input;
        this.model = LookupEvents_1.LookupEvents;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    LookupEventsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return LookupEventsCommand;
}());
exports.LookupEventsCommand = LookupEventsCommand;
//# sourceMappingURL=LookupEventsCommand.js.map