"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddTagsInput_1 = require("../shapes/AddTagsInput");
var AddTagsOutput_1 = require("../shapes/AddTagsOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var CloudTrailARNInvalidException_1 = require("../shapes/CloudTrailARNInvalidException");
var ResourceTypeNotSupportedException_1 = require("../shapes/ResourceTypeNotSupportedException");
var TagsLimitExceededException_1 = require("../shapes/TagsLimitExceededException");
var InvalidTrailNameException_1 = require("../shapes/InvalidTrailNameException");
var InvalidTagParameterException_1 = require("../shapes/InvalidTagParameterException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var OperationNotPermittedException_1 = require("../shapes/OperationNotPermittedException");
var NotOrganizationMasterAccountException_1 = require("../shapes/NotOrganizationMasterAccountException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddTags",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddTagsInput_1.AddTagsInput
    },
    output: {
        shape: AddTagsOutput_1.AddTagsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: CloudTrailARNInvalidException_1.CloudTrailARNInvalidException
        },
        {
            shape: ResourceTypeNotSupportedException_1.ResourceTypeNotSupportedException
        },
        {
            shape: TagsLimitExceededException_1.TagsLimitExceededException
        },
        {
            shape: InvalidTrailNameException_1.InvalidTrailNameException
        },
        {
            shape: InvalidTagParameterException_1.InvalidTagParameterException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: OperationNotPermittedException_1.OperationNotPermittedException
        },
        {
            shape: NotOrganizationMasterAccountException_1.NotOrganizationMasterAccountException
        }
    ]
};
//# sourceMappingURL=AddTags.js.map