"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var LookupEventsInput_1 = require("../shapes/LookupEventsInput");
var LookupEventsOutput_1 = require("../shapes/LookupEventsOutput");
var InvalidLookupAttributesException_1 = require("../shapes/InvalidLookupAttributesException");
var InvalidTimeRangeException_1 = require("../shapes/InvalidTimeRangeException");
var InvalidMaxResultsException_1 = require("../shapes/InvalidMaxResultsException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.LookupEvents = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "LookupEvents",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: LookupEventsInput_1.LookupEventsInput
    },
    output: {
        shape: LookupEventsOutput_1.LookupEventsOutput
    },
    errors: [
        {
            shape: InvalidLookupAttributesException_1.InvalidLookupAttributesException
        },
        {
            shape: InvalidTimeRangeException_1.InvalidTimeRangeException
        },
        {
            shape: InvalidMaxResultsException_1.InvalidMaxResultsException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=LookupEvents.js.map