import { _LookupAttribute } from "./_LookupAttribute";
import { BrowserHttpOptions as __HttpOptions__ } from "@aws-sdk/types";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>Contains a request for LookupEvents.</p>
 */
export interface LookupEventsInput {
    /**
     * <p>Contains a list of lookup attributes. Currently the list can contain only one item.</p>
     */
    LookupAttributes?: Array<_LookupAttribute> | Iterable<_LookupAttribute>;
    /**
     * <p>Specifies that only events that occur after or at the specified time are returned. If the specified start time is after the specified end time, an error is returned.</p>
     */
    StartTime?: Date | string | number;
    /**
     * <p>Specifies that only events that occur before or at the specified time are returned. If the specified end time is before the specified start time, an error is returned.</p>
     */
    EndTime?: Date | string | number;
    /**
     * <p>The number of events to return. Possible values are 1 through 50. The default is 50.</p>
     */
    MaxResults?: number;
    /**
     * <p>The token to use to get the next page of results after a previous API call. This token must be passed in with the same parameters that were specified in the the original call. For example, if the original call specified an AttributeKey of 'Username' with a value of 'root', the call with NextToken should include those same parameters.</p>
     */
    NextToken?: string;
    /**
     * The maximum number of times this operation should be retried. If set, this value will override the `maxRetries` configuration set on the client for this command.
     */
    $maxRetries?: number;
    /**
     * An object that may be queried to determine if the underlying operation has been aborted.
     *
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AbortSignal
     */
    $abortSignal?: __aws_sdk_types.AbortSignal;
    /**
     * Per-request HTTP configuration options. If set, any options specified will override the corresponding HTTP option set on the client for this command.
     */
    $httpOptions?: __HttpOptions__;
}
